wan3.0-video 调用 MixRoute 视频生成接口。
模型规格
完整字段、素材限制、默认值及轮询流程见 通义万相接口。不要跨版本复用输入和输出尺寸字段。
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
万相 3.0 在一个模型中统一文生、首帧/首尾帧、全模态参考、文件/网页生成、视频编辑与延长。
wan3.0-video 调用 MixRoute 视频生成接口。
| 项目 | 说明 |
|---|---|
| 类型 | 全能参考视频生成 |
| 分辨率 | 480P / 720P / 1080P |
| 时长(秒) | 2-30 / -1 |
| 输出 | MP4 / 30 fps |
| 请求 | model + metadata.input + metadata.parameters |
curl --request POST "https://api.mixroute.ai/v1/video/generations" \
--header "Authorization: Bearer $MIXROUTE_API_KEY" \
--header "Content-Type: application/json" \
--data '{
"model": "wan3.0-video",
"metadata": {
"input": {
"prompt": "A red ceramic mug slowly rotates on a white tabletop. Static camera, soft studio lighting."
},
"parameters": {
"resolution": "480P",
"ratio": "16:9",
"duration": 2,
"audio": false,
"prompt_extend": false,
"watermark": false
}
}
}'
import json
import os
import requests
payload = json.loads(r'''
{
"model": "wan3.0-video",
"metadata": {
"input": {
"prompt": "A red ceramic mug slowly rotates on a white tabletop. Static camera, soft studio lighting."
},
"parameters": {
"resolution": "480P",
"ratio": "16:9",
"duration": 2,
"audio": false,
"prompt_extend": false,
"watermark": false
}
}
}
''')
response = requests.post(
"https://api.mixroute.ai/v1/video/generations",
headers={"Authorization": "Bearer " + os.environ["MIXROUTE_API_KEY"]},
json=payload,
timeout=120,
)
response.raise_for_status()
result = response.json()
task_id = result.get("task_id") or result.get("id")
if not task_id:
raise RuntimeError(result.get("message") or result)
print(task_id)